#include <stdio.h>
#include <stdlib.h>
#include <string.h>


#define	MAXBUFF		0x1000

int main(int argc, char **argv)
{
	FILE	*infp;
	FILE	*outfp;

	int		buff[MAXBUFF];

	int		width,height;
	int		wb;
	int		x,y;
	int		m,n,i,j,k;
	int		col,colct;
	int		a0,a1,a2,a3,c;
	int		sft;
	int		filelen;

	if (argc != 3) {
		fprintf(stderr, "Usage: convchara infile outfile\n");
		exit(1);
	}

/* open files */

	if ((infp = fopen(argv[1], "rb")) == NULL) {
		perror(argv[1]);
		exit(1);
	}

	if ((outfp = fopen(argv[2], "wb")) == NULL) {
		perror(argv[2]);
		exit(1);
	}

	i = 0;
	while ( (c = fgetc(infp)) != EOF) {
		buff[i] = c;
		i ++;
	}
	filelen = i;

	for (i = 0;i < 0xf0;i ++) {

		for (y = 0;y < 8;y ++) {
			buff[i*16+y] =
						( ( (buff[i*16+y*2+0] & 0x80) != 0x00) ? 0x80 : 0x00) + 
						( ( (buff[i*16+y*2+0] & 0x20) != 0x00) ? 0x40 : 0x00) + 
						( ( (buff[i*16+y*2+0] & 0x08) != 0x00) ? 0x20 : 0x00) + 
						( ( (buff[i*16+y*2+0] & 0x02) != 0x00) ? 0x10 : 0x00) + 
						( ( (buff[i*16+y*2+1] & 0x80) != 0x00) ? 0x08 : 0x00) + 
						( ( (buff[i*16+y*2+1] & 0x20) != 0x00) ? 0x04 : 0x00) + 
						( ( (buff[i*16+y*2+1] & 0x08) != 0x00) ? 0x02 : 0x00) + 
						( ( (buff[i*16+y*2+1] & 0x02) != 0x00) ? 0x01 : 0x00);
		}

		for (y = 0;y < 8;y ++) {
			buff[i*16+y+8] = 0x00;
		}



	}

	for (i = 0;i < filelen;i ++) {
		fputc(buff[i],outfp);
	}

	fclose(infp);
	fclose(outfp);

	return(0);
}

